Summary:        A GNOME-based clone of the Bomberman arcade game
Name:           bombermaze
Version:        0.6.6
Release:        2
License:        GPL
Group:          Amusements/Games
URL:            http://bombermaze.sourceforge.net/
Source:         %{name}-%{version}.tar.bz2
Patch:		bombermaze-0.6.6-gcc3.4.patch
Prefix:         %{_prefix}
Packager:       Sydney Tang <stang@users.sourceforge.net>
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Requires:	gdk-pixbuf >= 0.22.0
BuildPrereq:	gdk-pixbuf-devel >= 0.22.0

%description
Bombermaze is a multiplayer action game in which players run around in a
square-grid maze while dropping bombs and collecting power-ups. The bombs
exlode after a short time delay, taking out any nearby bricks and players.
The last player left is the winner.

%prep
%setup
%patch -p1

%build
%configure --prefix=%{prefix}
make %{?_smp_mflags} CPPFLAGS=-I%{_includedir}/gdk-pixbuf-1.0

%install
[ "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT prefix="$RPM_BUILD_ROOT%{prefix}" install-strip

%clean
[ "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL ChangeLog NEWS README TODO
%doc doc/C/*.html
%{_bindir}/%{name}
%{_datadir}/gnome/apps/Games/%{name}.desktop
%{_datadir}/gnome/help/%{name}/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}/*
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo

%changelog
* Thu Jul 14 2005 Peter Hanecak <hanecak@megaloman.sk> 0.6.6-2
- %%{?_smp_mflags} used with 'make'

* Fri Jan  4 2002 Peter Hanecak <hanecak@megaloman.sk>
[0.6.6-1]
- synchrionized with original spec
- s/Copyright/License

* Tue Aug 22 2000 Peter Hanecak <hanecak@megaloman.sk>
[0.5.1-2]
- added Vendor
- .bz2 source archive
- %%configure used instead of ./configure
- %%{prefix}/share/ changed to %%{_datadir}
- %%{prefix}/bin/ changed to %%{_bindir}
- 'rm -rf $RPM_BUILD_ROOT' in %%clean
- more documentation
- added Requires: gdk-pixbuf >= 0.8.0 and
  BuildPrereq: gdk-pixbuf-devel >= 0.8.0
- %%defattr used
- buildroot used
